Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.svg
Class AFPGraphicsDevice

    java.lang.Object
      java.awt.GraphicsDevice
          org.apache.fop.afp.svg.AFPGraphicsDevice

public class AFPGraphicsDevice
extends java.awt.GraphicsDevice

This implements the GraphicsDevice interface as appropriate for an AFPGraphics2D.

Field Summary
`protected java.awt.GraphicsConfiguration` | `gc` The Graphics Config that created us...

Fields inherited from class java.awt.GraphicsDevice
`TYPE_IMAGE_BUFFER, TYPE_PRINTER, TYPE_RASTER_SCREEN`

Constructor Summary
`AFPGraphicsDevice(AFPGraphicsConfiguration gc)` Create a new AF{ graphics device.

Method Summary
`java.awt.GraphicsConfiguration[]` | `getConfigurations()` Return an array of our one GraphicsConfig
`java.awt.GraphicsConfiguration` | `getDefaultConfiguration()` Return out sole GraphicsConfig.
`java.lang.String` | `getIDstring()` Generate an IdString..
`int` | `getType()` Let the caller know that we are "a printer"

Methods inherited from class java.awt.GraphicsDevice
`getAvailableAcceleratedMemory, getBestConfiguration, getDisplayMode, getDisplayModes, getFullScreenWindow, isDisplayChangeSupported, isFullScreenSupported, setDisplayMode, setFullScreenWindow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gc

    protected java.awt.GraphicsConfiguration gc

  The Graphics Config that created us...

Constructor Detail

### AFPGraphicsDevice

    public AFPGraphicsDevice(AFPGraphicsConfiguration gc)

  Create a new AF{ graphics device.

Parameters:
  `gc` - The graphics configuration we should reference

Method Detail

### getConfigurations

    public java.awt.GraphicsConfiguration[] getConfigurations()

  Return an array of our one GraphicsConfig

  Returns:
    an array containing the one graphics configuration

### getDefaultConfiguration

    public java.awt.GraphicsConfiguration getDefaultConfiguration()

  Return out sole GraphicsConfig.

  Returns:
    the graphics configuration that created this object

### getIDstring

    public java.lang.String getIDstring()

  Generate an IdString..

  Returns:
    the ID string for this device, uses toString

### getType

    public int getType()

  Let the caller know that we are "a printer"

  Returns:
    the type which is always printer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.